Name: xinit
Version: 1.0.2
Release: %mkrel 5
Summary: Initialize an X session
Group: System/X11
Source0: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# (fc) 1.0.2-2mdv readd modifications for startx (argument parsing)
# catch sigterm in xinit and startx
Patch0: xinit-1.0.2-startx.patch
# check setuid return value to make sure we drop user privilegies
Patch1: http://xorg.freedesktop.org/releases/X11R7.1/patches/xinit-1.0.2-setuid.diff
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xinit program is used to start the X Window System server and a first
client program on systems that cannot start X directly from /etc/init or in
environments that use multiple window systems. When this first client exits,
xinit will kill the X server and then terminate.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .startx
%patch1 -p0 -b .setuid

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#don't use xorg xinitrc file, use our own, provided by xinitrc package
rm -fr %{buildroot}/%{_libdir}/X11/xinit
ln -s ../../../../%{_sysconfdir}/X11/xinit %{buildroot}/%{_libdir}/X11/xinit

%clean
rm -rf %{buildroot}

%pre
if [ ! -L %{_libdir}/X11/xinit ]; then
 rm -fr %{_libdir}/X11/xinit
fi

%files
%defattr(-,root,root)
%{_bindir}/xinit
%{_bindir}/startx
%{_libdir}/X11/xinit
%{_mandir}/man1/startx.1x.bz2
%{_mandir}/man1/xinit.1x.bz2


%changelog
* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-01 01:19:32 (59272)
- add a patch to check setuid return value to make sure we drop user
  privilegies (#24976)

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 13:04:12 (56303)
- fix group

* Wed Aug 16 2006 Pixel <pixel@mandriva.com>
+ 2006-08-16 12:59:43 (56302)
- xvt can be konsole, and konsole does not handle -n xxx

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:53:54 (31707)
- fix spacing

* Tue May 30 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-05-30 15:50:43 (31706)
- * don't ship xorg initrc file, link to our own version and requires xinitrc
  * re-add startx patch to allow specifying desktop environment on commandline

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Wed May 24 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-24 08:48:35 (31432)
- Conflict with xinitrc (allow to upgrade it)

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:24:58 (31400)
- fill in a couple of missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
